Bug 1177453 - Review Request: jxmpp - An Open Source XMPP Java base-library
Summary: Review Request: jxmpp - An Open Source XMPP Java base-library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1207597 1209134
Blocks: 1177443
TreeView+ depends on / blocked
 
Reported: 2014-12-27 15:24 UTC by gil cattaneo
Modified: 2015-04-30 11:47 UTC (History)
3 users (show)

Fixed In Version: jxmpp-0.4.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-21 18:32:33 UTC
projects.rg: fedora-review+
puiterwijk: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2014-12-27 15:24:06 UTC
Spec URL: https://gil.fedorapeople.org/jxmpp.spec
SRPM URL: https://gil.fedorapeople.org/jxmpp-0.3.0-1.fc19.src.rpm
Description:
JXMPP is an Open Source Java base library for XMPP. It
provides often used functionality needed to build a XMPP stack.
Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=8485635

Comment 2 gil cattaneo 2015-03-01 12:54:33 UTC
Spec URL: https://gil.fedorapeople.org/jxmpp.spec
SRPM URL: https://gil.fedorapeople.org/jxmpp-0.4.1-1.fc21.src.rpm

- update to 0.4.1

Comment 3 Raphael Groner 2015-04-04 19:44:14 UTC
Taken. :)

Comment 4 Raphael Groner 2015-04-05 15:58:37 UTC
(In reply to gil cattaneo from comment #2)
> Spec URL: https://gil.fedorapeople.org/jxmpp.spec
> SRPM URL: https://gil.fedorapeople.org/jxmpp-0.4.1-1.fc21.src.rpm
> 
> - update to 0.4.1

The SRPM link gives error 404. Using instead the fc20 build found here:
 https://gil.fedorapeople.org/jxmpp-0.4.1-1.fc20.src.rpm

APPROVED

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find LICENSE in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

==> OK cause of %license LICENSE but warning this won't work for EPEL and not for Fedora20!


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)". Detailed output of licensecheck in /home/builder/fedora-
     review/jxmpp/licensecheck.txt

==> All files include valid license text.

[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jxmpp-core
     , jxmpp-jid , jxmpp-stringprep-libidn , jxmpp-util-cache , jxmpp-javadoc

==> OK, no/empty base package %{name} available!

[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).

==> Upstream does not provide any additional documentation.

Rpmlint
-------
Checking: jxmpp-core-0.4.1-1.fc23.noarch.rpm
          jxmpp-jid-0.4.1-1.fc23.noarch.rpm
          jxmpp-stringprep-libidn-0.4.1-1.fc23.noarch.rpm
          jxmpp-util-cache-0.4.1-1.fc23.noarch.rpm
          jxmpp-javadoc-0.4.1-1.fc23.noarch.rpm
          jxmpp-0.4.1-1.fc23.src.rpm
jxmpp-core.noarch: W: no-documentation
jxmpp-jid.noarch: W: no-documentation
jxmpp-stringprep-libidn.noarch: W: no-documentation
jxmpp-util-cache.noarch: W: spelling-error %description -l en_US minimalistic -> minimalist, minimalism, animistic
6 packages and 0 specfiles checked; 0 errors, 4 warnings.

==> OK.



Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
jxmpp-jid (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.igniterealtime.jxmpp:jxmpp-core)
    mvn(org.igniterealtime.jxmpp:jxmpp-util-cache)

jxmpp-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

jxmpp-stringprep-libidn (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.gnu.inet:libidn)
    mvn(org.igniterealtime.jxmpp:jxmpp-core)

jxmpp-util-cache (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils

jxmpp-core (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.igniterealtime.jxmpp:jxmpp-util-cache)



Provides
--------
jxmpp-jid:
    jxmpp-jid
    mvn(org.igniterealtime.jxmpp:jxmpp-jid)
    mvn(org.igniterealtime.jxmpp:jxmpp-jid:pom:)
    osgi(org.igniterealtime.jxmpp.jid)

jxmpp-javadoc:
    jxmpp-javadoc

jxmpp-stringprep-libidn:
    jxmpp-stringprep-libidn
    mvn(org.igniterealtime.jxmpp:jxmpp-stringprep-libidn)
    mvn(org.igniterealtime.jxmpp:jxmpp-stringprep-libidn:pom:)
    osgi(org.igniterealtime.jxmpp.stringprep-libidn)

jxmpp-util-cache:
    jxmpp-util-cache
    mvn(org.igniterealtime.jxmpp:jxmpp-util-cache)
    mvn(org.igniterealtime.jxmpp:jxmpp-util-cache:pom:)
    osgi(org.igniterealtime.jxmpp.util-cache)

jxmpp-core:
    jxmpp-core
    mvn(org.igniterealtime.jxmpp:jxmpp-core)
    mvn(org.igniterealtime.jxmpp:jxmpp-core:pom:)
    osgi(org.igniterealtime.jxmpp.core)



Source checksums
----------------
https://github.com/igniterealtime/jxmpp/archive/0.4.1.tar.gz :
  CHECKSUM(SHA256) this package     : 591295c7226f042f7c7e7d8a0ca7f2d0c00b5c270710f8d17963aa051cd8c689
  CHECKSUM(SHA256) upstream package : 591295c7226f042f7c7e7d8a0ca7f2d0c00b5c270710f8d17963aa051cd8c689


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -o=--yum --clean --init -rn jxmpp-0.4.1-1.fc20.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 gil cattaneo 2015-04-05 16:08:25 UTC
Thanks!

New Package SCM Request
=======================
Package Name: jxmpp
Short Description: An Open Source XMPP Java base-library
Upstream URL: https://github.com/igniterealtime/jxmpp
Owners: gil
Branches: f21 f22
InitialCC: java-sig

Comment 6 Raphael Groner 2015-04-05 16:25:01 UTC
> Flags: fedora_requires_release_note?

Are you sure? Why no fedora-cvs request?

Comment 7 gil cattaneo 2015-04-05 16:26:25 UTC
(In reply to Raphael Groner from comment #6)
> > Flags: fedora_requires_release_note?
> 
> Are you sure? Why no fedora-cvs request?

sorry my fault

Comment 8 Patrick Uiterwijk 2015-04-06 09:39:45 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2015-04-06 11:53:31 UTC
jxmpp-0.4.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/jxmpp-0.4.1-1.fc22

Comment 10 gil cattaneo 2015-04-06 12:31:41 UTC
Unable to build the package on F21 builder.
See: https://bugzilla.redhat.com/show_bug.cgi?id=1209134

Comment 11 Fedora Update System 2015-04-06 17:39:51 UTC
jxmpp-0.4.1-1.fc22 has been pushed to the Fedora 22 testing repository.

Comment 12 Fedora Update System 2015-04-20 16:02:03 UTC
jxmpp-0.4.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/jxmpp-0.4.1-1.fc21

Comment 13 Fedora Update System 2015-04-21 18:32:33 UTC
jxmpp-0.4.1-1.fc22 has been pushed to the Fedora 22 stable repository.

Comment 14 Fedora Update System 2015-04-30 11:47:42 UTC
jxmpp-0.4.1-1.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.